<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_347a4304a606a9c406" . "a8fbc8f72530a1" => base64_decode("TWV0aG9kIA" . "=="), "_4d707fab93bebb00" . "bbe69e8159697c90" => base64_decode(""), "_c244a470df52d1d5a708513" . "8ec94e393" => base64_decode("dW5zZ" . "XJpYW" . "xpemU" . "="), "_ecfcdf011b493a3e718" . "c1fe7034e0dcd" => base64_decode("OjpMb2FkRnJvb" . "UZvcm0oKSBtdX" . "N0IGJlIHJlZGV" . "maW5lZA=="), "_c9ae15d69685c02eeabd974f86df5" . "1ba" => base64_decode("OjpEcmF3KCkgb" . "XVzdCBiZSByZW" . "RlZmluZWQ="), "_5e9a99dc0dd49b907abf1b" . "35e96965f8" => base64_decode("dHJpbQ" . "=="), "_00228d8faefcea40b88e38b6f0ef8f" . "b8" => base64_decode("V3Jvbmcgc2VyaWFsaXplZCBzdHJ" . "pbmcgb2YgQ29udHJvbA=="), "_fc9d7314a9d9958d8fa0a403" . "ba8ff197" => base64_decode("Z2V0X2" . "NsYXNz"), "_96be32a6f44bf5" . "4e635e1736acf7a" . "96c" => base64_decode("c2VyaWFsa" . "Xpl"));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_96be32a6f44bf54e635e" . "1736acf7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_5e9a99dc0dd49b907" . "abf1b35e96965f8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4d707fab93bebb00bbe69e8159697c" . "90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_00228d8faefcea40b88e38b" . "6f0ef8fb8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c244a470df52" . "d1d5a7085138e" . "c94e393"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_347a4304a606a9c406a8f" . "bc8f72530a1"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_fc9d7314a" . "9d9958d8fa" . "0a403ba8ff" . "197"]($this) . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_ecfcdf011b493a3e718c1" . "fe7034e0dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_347a4304a606a9c406a8fbc8f" . "72530a1"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_fc9d7314a9d9" . "958d8fa0a403b" . "a8ff197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_c9ae15d696" . "85c02eeabd9" . "74f86df51ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}